import dynamix_sdk.base as _base


class CloudbrokerAccountRemoveZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerAccountRemoveZoneProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def remove_zone(
        self,
        *,
        account_id: int,
        zone_ids: list[int],
    ) -> CloudbrokerAccountRemoveZoneResultBool:
        ...
